diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index bf12b51..5a92978 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -54673,19 +54673,19 @@ LiouvillianFunction(R, F): Exports == Implementation where
       is?(op, "dilog"::Symbol)      => opli2
       error "Not a Liouvillian operator"
 
-    evaluate(opei,   iei)$BasicOperatorFunctions1(F)
-    evaluate(opli,   ili)
-    evaluate(opsi,   isi)
-    evaluate(opci,   ici)
-    evaluate(operf,  ierf)
-    evaluate(opli2,  ili2)
-    evaluate(opint,  iint)
-    derivative(opsi, sin(#1) / #1)
-    derivative(opci, cos(#1) / #1)
-    derivative(opei, exp(#1) / #1)
-    derivative(opli, inv log(#1))
-    derivative(operf, 2 * exp(-(#1**2)) / sqrt(pi()))
-    derivative(opli2, log(#1) / (1 - #1))
+    evaluate(opei,    iei)$BasicOperatorFunctions1(F)
+    evaluate(opli,    ili)
+    evaluate(opsi,    isi)
+    evaluate(opci,    ici)
+    evaluate(operf,   ierf)
+    evaluate(opli2,   ili2)
+    evaluate(opint,   iint)
+    derivative(opsi,  (z1:F):F +-> sin(z1) / z1)
+    derivative(opci,  (z1:F):F +-> cos(z1) / z1)
+    derivative(opei,  (z1:F):F +-> exp(z1) / z1)
+    derivative(opli,  (z1:F):F +-> inv log(z1))
+    derivative(operf, (z1:F):F +-> 2 * exp(-(z1**2)) / sqrt(pi()))
+    derivative(opli2, (z1:F):F +-> log(z1) / (1 - z1))
     setProperty(opint,SPECIALEQUAL,eqint@((K,K) -> Boolean) pretend None)
     setProperty(opint,SPECIALDIFF,dvint@((List F,SE) -> F) pretend None)
     setProperty(opdint,SPECIALDIFF,dvdint@((List F,SE)->F) pretend None)
@@ -54699,7 +54699,10 @@ LiouvillianFunction(R, F): Exports == Implementation where
 
       pint l  == convert concat(convert("integral"::SE)@INP, l)
       inint l == 
-        r2:= convert([convert("::"::SE)@INP,convert(third l)@INP,convert("Symbol"::SE)@INP]@List INP)@INP
+        r2:= convert(
+              [convert("::"::SE)@INP,
+               convert(third l)@INP,
+               convert("Symbol"::SE)@INP]@List INP)@INP
         pint [convert(integrand l)@INP, r2]
 
       indint l ==
@@ -54707,8 +54710,8 @@ LiouvillianFunction(R, F): Exports == Implementation where
               convert concat(convert("="::SE)@INP,
                             [convert(third l)@INP,
                              convert concat(convert("SEGMENT"::SE)@INP,
-                                            [convert(third rest l)@INP,
-                                             convert(third rest rest l)@INP])])]
+                                           [convert(third rest l)@INP,
+                                            convert(third rest rest l)@INP])])]
 
       setProperty(opint, SPECIALINPUT, inint@(List F -> INP) pretend None)
       setProperty(opdint, SPECIALINPUT, indint@(List F -> INP) pretend None)
diff --git a/changelog b/changelog
index da1177f..a5e5240 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090606 tpd src/axiom-website/patches.html 20090606.04.tpd.patch
+20090606 tpd books/bookvol10.4 LF +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.03.tpd.patch
 20090606 tpd books/bookvol10.4 LPEFRAC +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ef19e01..54f2c2e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1469,5 +1469,7 @@ bookvol10.4 LODOF +-> conversion<br/>
 bookvol10.4 LODOOPS +-> conversion<br/>
 <a href="patches/20090606.03.tpd.patch">20090606.03.tpd.patch</a>
 bookvol10.4 LPEFRAC +-> conversion<br/>
+<a href="patches/20090606.04.tpd.patch">20090606.04.tpd.patch</a>
+bookvol10.4 LF +-> conversion<br/>
  </body>
 </html>
